<?php
/*
Plugin Name: Baner Cookie | OP Cookie & TiForYou.pl
Description: Plugin to add CookieBaner.
Version: 1.0.3
Author: TiForYou Sp. z o.o.
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Add settings link on plugin page
function opcookies_plugin_settings_link($links)
{
    $settings_link = '<a href="options-general.php?page=opcookies-plugin">Settings</a>';
    array_unshift($links, $settings_link);
    return $links;
}
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'opcookies_plugin_settings_link');

// Register settings
function opcookies_plugin_register_settings()
{
    // register_setting('opcookies_plugin_options', 'opcookies_plugin_head_html');
    // register_setting('opcookies_plugin_options', 'opcookies_plugin_script_options');
    register_setting('opcookies_plugin_options', 'opcookies_plugin_config_id');
}
add_action('admin_init', 'opcookies_plugin_register_settings');

// Add settings page
function opcookies_plugin_settings_page()
{
    add_options_page('Op Cookies Plugin Settings', 'Op Cookies Plugin', 'manage_options', 'opcookies-plugin', 'opcookies_plugin_settings_page_html');
}
add_action('admin_menu', 'opcookies_plugin_settings_page');

// Settings page HTML
function opcookies_plugin_settings_page_html()
{
    if (!current_user_can('manage_options')) {
        return;
    }
    ?>


<style>
    ol.inline-list {margin:0;padding:0;}
    ol.inline-list li {display:inline;padding:0 10px 0 0;}
    ol.inline-list li:before {
    content: '\ffed';
    margin-right: 0.2em;
    }
    #baner-cookie-container {margin-top:20px;}
    #input-cid {margin-top:10px;paddng:5px;font-size:21px;}
</style>
<script>
//document.querySelector("#dolly").style = "display:none";
</script>

<div id="baner-cookie-container">

    <div class="wrap">
        <div style="display:flex;justify-content: space-between"><div><h1 style="padding: 28px 0 4px;">OP Cookies v1.0.3</h1></div><div><img width="140" src="https://www.tiforyou.pl/images/template-02/images/logo.svg"></div></div>
        <iframe src="https://opcookie.optools.pl/assets/wp/plugin_info_v1_0_3.html" frameborder="0" width="100%" height="350"></iframe>
        </div>
    </div>

    <div class="wrap">
        <h2>Ustawienia</h2>
        <div style="background-color:white;padding:15px;margin-bottom:20px;border-radius:4px;">
        <p>Plugin wymaga identyfikatora konfiguracji, który jest możliwy do pobrania po dokonaniu rejestracji na stronie <a href="https://www.tiforyou.pl">www.tiforyou.pl</a></p>

        <form method="post" action="options.php">
            <?php
            settings_fields('opcookies_plugin_options');
            do_settings_sections('opcookies_plugin_options');
            ?>
            Identyfikator konfiguracji: </br />
            <input id="input-cid" name="opcookies_plugin_config_id" placeholder="id konfiguracji (16 znaków)" value="<?php echo get_option('opcookies_plugin_config_id') ? esc_textarea(get_option('opcookies_plugin_config_id')) : ''; ?>"><br />
            <?php submit_button();?>
        </form>
        </div>
    </div>

<div>


<div class="wrap">
            <div style="padding:5px;margin-bottom:20px;">
            Wykorzystana biblioteka: https://github.com/orestbida/cookieconsent<br />
            Wersja: 1.0.0, licencja: MIT. Treść licencji: https://github.com/orestbida/cookieconsent/blob/master/LICENSE</br />
            </div>
</div>




<?php
}

// Add HTML to head
function opcookies_plugin_add_head_html()
{
    $config_id = get_option('opcookies_plugin_config_id');
    if ($config_id) {
        echo '<!-- Baner Cookie init script | OP Tools - TiForYou.pl -->';
        echo '<script type="module" src="https://www.opcookie.optools.pl/' . $config_id . '/init.js"></script>';
    }
}
add_action('wp_head', 'opcookies_plugin_add_head_html');
